package com.example.defenseapplication.utils

object DeviceUserUpdateEvent {
    private val listeners = mutableListOf<DeviceUserUpdateListener>()

    interface DeviceUserUpdateListener {
        fun onDeviceUserUpdated()
    }

    fun addListener(listener: DeviceUserUpdateListener) {
        if (!listeners.contains(listener)) {
            listeners.add(listener)
        }
    }

    fun removeListener(listener: DeviceUserUpdateListener) {
        listeners.remove(listener)
    }

    fun notifyUpdate() {
        listeners.forEach { it.onDeviceUserUpdated() }
    }
}